For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns a list of task schedules.
      • POSTCreates a new task schedule for a given task and a given user.
      • POSTCreates task schedules from a task by id.
      • GETReturns a task schedule by id.
      • PUTUpdates a given task schedule.
      • DELDeletes a task schedule by id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Schedules

Creates a new task schedule for a given task and a given user.

POST
https://api.awork.com/api/v1/taskschedules
POST
/api/v1/taskschedules
$curl -X POST https://api.awork.com/api/v1/taskschedules \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "createdOn": "2022-03-11T15:33:47.100Z",
4 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
5 "updatedOn": "2022-03-11T21:15:00.100Z",
6 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
7 "userId": "123e4567-e89b-12d3-a456-426614174000",
8 "taskId": "123e4567-e89b-12d3-a456-426614174000",
9 "startDate": "2022-03-01T09:00:00Z",
10 "endDate": "2022-03-01T10:00:00Z",
11 "plannedDuration": 3600
12}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates task schedules from a task by id.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The model to create the task schedule.
taskIdstringOptionalformat: "uuid"
The id of the task this task schedule is for.
startDatestringOptionalformat: "date-time"
The start date and time of this task schedule.
endDatestringOptionalformat: "date-time"
The end date and time of this task schedule.
userIdstringOptionalformat: "uuid"
The id of the user this task schedule is for.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
userIdstringformat: "uuid"
The id of the user this task schedule is for.
taskIdstringformat: "uuid"
The id of the task this task schedule is for.
startDatestringformat: "date-time"
The start date and time of this task schedule.
endDatestringformat: "date-time"
The end date and time of this task schedule.
plannedDurationinteger
The number of seconds of planned work.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error